### Name: armaimp
### Title: Caluculate Characteristics of Scalar ARMA Model
### Aliases: armaimp
### Keywords: ts

### ** Examples

  # ARMA model : y(n) = 0.9sqrt(3)y(n-1) - 0.81y(n-2) + v(n) -0.9sqrt(2)v(n-1) + 0.81v(n-2)
  a <- c(0.9*sqrt(3), -0.81)
  b <- c(0.9*sqrt(2), -0.81)
  z <- armaimp( arcoef=a, macoef=b, v=1.0, n=1000, lag=20 )
  z$croot.ar
  z$croot.ma

  # AR model : y(n) = 0.9sqrt(3)y(n-1) - 0.81y(n-2) + v(n)
  z <- armaimp( arcoef=a, v=1.0, n=1000, lag=20 )
  z$croot.ar

  # MA model : y(n) = v(n) -0.9sqrt(2)v(n-1) + 0.81v(n-2)
  z <- armaimp( macoef=b, v=1.0, n=1000, lag=20 )
  z$croot.ma



