### Name: ngsmth
### Title: Non-Gaussian Smoothing
### Aliases: ngsmth
### Keywords: ts

### ** Examples


  # trend model
  x <- rep(0,400)
  x[101:200] <- 1
  x[201:300] <- -1
  y <- rnorm(600, mean=0, sd=0.5)
  y <- y[101:500]
  z1 <- ngsmth(x+y, noisev=2, tau2=0.211e-09, bv=1, noisew=2, sig2=1.042, bw=1 )

  z2 <- ngsmth(x+y, noisev=1, tau2=0.14e-01, bv=1, noisew=2, sig2=1.048, bw=1 )

  #  an earthquake wave data
  data(MYE1F)
  n <- length(MYE1F)
  m <- n/2
  y <- rep(0, n)
  for( i in 2:n )  y[i] <- MYE1F[i] - 0.5*MYE1F[i-1]
  yy <- rep(0, m)
  for( i in 1:m ) yy[i] <- y[i*2]
  z <- tvvar(yy, trend.order=2, tau20= 6.6e-06, delta=1.0e-06, plot=FALSE)
  z1 <- ngsmth( z$ts, noisev=2, tau2=0.00026, bv=1, noisew=2, sig2=1.644934, bw=1, k=190 )

  z2 <- ngsmth( z$ts, noisev=1, tau2=0.04909, bv=1, noisew=2, sig2=1.644934, bw=1, k=190 )




